Index: /issm/trunk-jpl/externalpackages/boost/install-1.72-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-linux-static.sh	(revision 24698)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.72-linux-static.sh	(revision 24699)
@@ -2,13 +2,4 @@
 #set -eu # Do not `run set -eu` because it causes some targets to fail
 
-
-# NOTE:
-# - Stop after bootstrap step and run `b2 --debug-configuration` to figure
-#	out which paths Boost is using to include Python. Make sure that each of
-#	the listed paths is covered by Python. If not, you must create a symbolic
-#	link from $ISSM_DIR/externalpackages/python to the location of the file
-#	that Boost is expecting. There is no way to get the Boost to compile with
-#	Python otherwise.
-#
 
 ## Constants
@@ -18,6 +9,5 @@
 ## Envrionment
 #
-#export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost
-#export CXXFLAGS='-std=c++11'
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
 
 # Download source
@@ -38,7 +28,6 @@
 cd src
 ./bootstrap.sh \
-	--prefix="${ISSM_DIR}/externalpackages/boost/install" \
-	--with-python=python2.7 \
-	--with-python-root="${ISSM_DIR}/externalpackages/python/install"
+	--prefix="${BOOST_ROOT}/install" \
+	--with-python=python2.7
 
 # Modify project config to enable MPI
@@ -47,2 +36,8 @@
 # Compile and install
 ./b2 link=static install
+
+# Remove any dynamic libraries that may have been compiled
+#
+# TODO: Reconfigure so that dynamic libraries are not compiled at all
+#
+rm -f $(find ${BOOST_ROOT}/install/lib -name *.so*)
Index: /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh	(revision 24698)
+++ /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh	(revision 24699)
@@ -55,4 +55,5 @@
 	-DCMAKE_CXX_FLAGS="-fPIC" \
 	-DCMAKE_Fortran_FLAGS="-fPIC" \
+	-DBoost_NO_BOOST_CMAKE=TRUE \
 	-DHAVE_ACRO=OFF \
 	-DHAVE_JEGA=OFF \
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota	(revision 24698)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota	(revision 24699)
@@ -47,5 +47,5 @@
 	cmake		install.sh
 	petsc		install-3.12-linux-static.sh
-	boost		install-1.55-linux-static.sh
+	boost		install-1.72-linux-static.sh
 	dakota		install-6.2-linux-static.sh
 	triangle	install-linux-static.sh
Index: /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh	(revision 24698)
+++ /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh	(revision 24699)
@@ -122,41 +122,41 @@
 fi
 
-# Create tarball
-cd ${ISSM_DIR}
-rm -f ${TARBALL}
-svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
-echo "Copying assets to package: ${PACKAGE}"
-cp -rf bin examples lib scripts test ${PACKAGE}/
-echo "Cleaning up unneeded/unwanted files"
-python -m compileall ${PACKAGE}/bin # Precompile all Python scripts to bytecode
-rm -f ${PACKAGE}/bin/*.py # Remove all Python scripts
-rm -f ${PACKAGE}/bin/generic_static.* # Remove static versions of generic cluster classes
-rm -f ${PACKAGE}/lib/*.a # Remove static libraries from package
-rm -f ${PACKAGE}/lib/*.la # Remove libtool libraries from package
-echo "Creating tarball: ${TARBALL_NAME}"
-tar -czf ${TARBALL} ${PACKAGE}
-ls -lah ${ISSM_DIR}/${TARBALL}
+# # Create tarball
+# cd ${ISSM_DIR}
+# rm -f ${TARBALL}
+# svn cleanup --remove-ignored --remove-unversioned test # Clean up test directory (before copying to package)
+# echo "Copying assets to package: ${PACKAGE}"
+# cp -rf bin examples lib scripts test ${PACKAGE}/
+# echo "Cleaning up unneeded/unwanted files"
+# python -m compileall ${PACKAGE}/bin # Precompile all Python scripts to bytecode
+# rm -f ${PACKAGE}/bin/*.py # Remove all Python scripts
+# rm -f ${PACKAGE}/bin/generic_static.* # Remove static versions of generic cluster classes
+# rm -f ${PACKAGE}/lib/*.a # Remove static libraries from package
+# rm -f ${PACKAGE}/lib/*.la # Remove libtool libraries from package
+# echo "Creating tarball: ${TARBALL_NAME}"
+# tar -czf ${TARBALL} ${PACKAGE}
+# ls -lah ${ISSM_DIR}/${TARBALL}
 
-echo "Shipping binaries to website"
+# echo "Shipping binaries to website"
 
-# We're using public key authentication method to upload the tarball The
-# following lines check to see if the SSH Agent is running. If not, then it is
-# started and relevant information is forwarded to a script.
-pgrep "ssh-agent" > /dev/null
-if [ $? -ne 0 ]; then
-	echo "SSH Agent is not running. Starting it..."
-	ssh-agent > ~/.ssh/agent.sh
-else
-	echo "SSH Agent is running..."
-fi
+# # We're using public key authentication method to upload the tarball The
+# # following lines check to see if the SSH Agent is running. If not, then it is
+# # started and relevant information is forwarded to a script.
+# pgrep "ssh-agent" > /dev/null
+# if [ $? -ne 0 ]; then
+# 	echo "SSH Agent is not running. Starting it..."
+# 	ssh-agent > ~/.ssh/agent.sh
+# else
+# 	echo "SSH Agent is running..."
+# fi
 
-source ~/.ssh/agent.sh
-ssh-add ~/.ssh/debian_linux-vm_to_ross
+# source ~/.ssh/agent.sh
+# ssh-add ~/.ssh/debian_linux-vm_to_ross
 
-scp ${TARBALL} ross.ics.uci.edu:/var/www/html/${TARBALL}
+# scp ${TARBALL} ross.ics.uci.edu:/var/www/html/${TARBALL}
 
-if [ $? -ne 0 ]; then
-	echo "The upload failed."
-	echo "Perhaps the SSH Agent was started by some other means."
-	echo "Try killing the agent and running again."
-fi
+# if [ $? -ne 0 ]; then
+# 	echo "The upload failed."
+# 	echo "Perhaps the SSH Agent was started by some other means."
+# 	echo "Try killing the agent and running again."
+# fi
